Get all shareholders Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"PlannrCRM MCP server": {
  "url": "https://apidocs.plannrcrm.com/mcp"
}
Close
GET /api/v2/shareholder

Headers

  • X-PLANNR-ACCOUNT-UUID string

Query parameters

  • include string

    Comma-separated list of relationships to include in the response. Valid relationships are [account].

  • filter[uuid] string

    Filter by a comma-separated list of UUIDs.

  • sort string

    Field to sort by. Valid fields are [created_at, updated_at, name, ownership_percentage]. Negative sign to denote DESC. Defaults to 'created_at'.

  • per_page integer

    Number of results to return with pagination (Default 15. Max 500).

Responses

  • 200 application/json
    Hide response attribute Show response attribute object
    • data array[object]
      Hide data attributes Show data attributes object
      • uuid string

        The UUID of the resource.

      • created_at string

        The timestamp of when the resource was created.

      • updated_at string

        The timestamp of when the resource was updated.

      • full_name string

        Full name of the shareholder

      • role string

        Role of the shareholder

      • appointed_at string

        Date the shareholder was appointed

      • address object

        Registered address of the shareholder

        Hide address attributes Show address attributes object
        • uuid string
        • created_at string
        • updated_at string
        • name string
        • address_1 string
        • address_2 string
        • address_3 string
        • address_4 string
        • town_city string
        • county string
        • postcode string
        • country string
        • move_in_date string
        • accounts string
      • percentage number

        Percentage of shares owned by the shareholder

      • shares_owned number

        Number of shares owned by the shareholder

      • voting_rights string

        Voting rights of the shareholder

      • firm object

        Firm the shareholder is associated with

        Hide firm attributes Show firm attributes object
        • uuid string
        • created_at string
        • updated_at string
        • name string
        • slug string
        • address_1 string
        • address_2 string
        • town_city string
        • county string
        • postcode string
        • country string
        • regulatory_text string
        • logo_icon string
        • brand_colours object
          Hide brand_colours attributes Show brand_colours attributes object
          • sidebar_background string
          • sidebar_accent string
          • sidebar_text string
          • sidebar_hover string
          • sidebar_active string
          • sidebar_title_background string
          • sidebar_title_primary string
          • sidebar_title_secondary string
          • sidebar_title_secondary_hover string
          • email_background string
          • email_logo_background_panel string
          • email_sub_text string
          • email_button_background string
          • email_button_text string
          • portal_sidebar_button_background string
          • portal_sidebar_button_hover string
          • portal_sidebar_button_active string
          • portal_brand_title string
          • portal_brand_sub_title string
          • portal_sidebar_title string
          • portal_sidebar_text string
          • portal_sidebar_text_hover string
          • portal_sidebar_text_active string
          • portal_sidebar_icon string
          • portal_sidebar_icon_hover string
          • portal_sidebar_icon_active string
          • portal_background string
          • portal_sidebar_account_title string
          • portal_sidebar_account_email string
          • portal_sidebar_divider string
          • portal_dashboard_bg_one string
          • portal_dashboard_bg_two string
          • portal_sidebar_collapse_button string
          • portal_sidebar_collapse_button_hover string
          • portal_sidebar_user_select_background string
          • portal_sidebar_user_select_hover string
          • portal_sidebar_user_select_text string
          • portal_sidebar_user_select_text_hover string
          • portal_sidebar_user_select_border string
          • portal_sidebar_user_select_border_hover string
        • is_subscribed boolean
        • addon_subscriptions string
        • keep_deleted_files_for integer
        • tax number
        • month_end integer
        • statement_frequency string
        • billing object
          Hide billing attributes Show billing attributes object
          • invoice_address_1 string
          • invoice_address_2 string
          • invoice_town_city string
          • invoice_county string
          • invoice_postcode string
          • invoice_country string
          • invoice_email string
        • task_board_template string
        • ip_whitelist array[string]
        • welcome_paragraph_html string
        • email_welcome_paragraph_html string
        • show_fact_find_illustrations boolean
        • cc_email_addresses array[string]
        • bcc_email_addresses array[string]
        • reply_to_email_address string
        • mobile_app_support_number string
        • mobile_app_support_email string
      • account object

        Business the shareholder is associated with

        Hide account attributes Show account attributes object
        • uuid string
        • created_at string
        • updated_at string
        • type string
        • role string
        • first_name string
        • last_name string
        • name string
        • email string
        • photo_url string
        • firm string
        • primary_phone_number string
        • primary_email string
        • current_time_entry string
        • assigned_adviser string
        • assigned_administrator string
        • assigned_paraplanner string
        • introduced_by string
        • business_unit string
        • groups string
        • tags string
        • owners string
        • first_contact_date string
        • next_review_date string
        • previous_review_date string
        • anniversary_review_date string
        • terms_of_business_at string
        • client_agreement_at string
        • with_login boolean
        • has_joint_account boolean
        • can_be_deleted string
        • joint_account_circle string
        • circles string
        • ownership_percentage integer
        • inactive_at string
        • last_interaction_at string
        • referral_code string
        • permissions object
          Hide permissions attributes Show permissions attributes object
          • firm:read array[string]
          • network:read array[string]
        • custom_fields string
        • external_references string
GET /api/v2/shareholder
curl \
 --request GET 'https://api.plannrcrm.com/api/v2/shareholder' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
  "data": [
    {
      "uuid": "b3059ee7-ce2a-4a88-beef-0a9055127a01",
      "created_at": "2026-06-08T16:08:03+01:00",
      "updated_at": "2026-06-08T16:08:03+01:00",
      "full_name": "Connor Richards",
      "role": "Director",
      "appointed_at": "2015-01-19",
      "address": {
        "uuid": "f403eda9-b6c7-432f-8678-b499a8576c39",
        "created_at": "2026-06-08T16:08:03+01:00",
        "updated_at": "2026-06-08T16:08:03+01:00",
        "name": "Work Address",
        "address_1": "Suite E, 5 The Briars",
        "address_2": "Waterberry Drive",
        "address_3": "The Innovative Centre",
        "address_4": "Waterlooville",
        "town_city": "Waterlooville",
        "county": "Hampshire",
        "postcode": "PO7 7YH",
        "country": "United Kingdom",
        "move_in_date": "2025-06-08",
        "accounts": "App\\Http\\Resources\\AccountResource"
      },
      "percentage": 42.54,
      "shares_owned": 60.53,
      "voting_rights": "Yes",
      "firm": {
        "uuid": "432e945e-8758-4c5d-910b-c4a4d754e3d0",
        "created_at": "2026-06-08T16:08:03+01:00",
        "updated_at": "2026-06-08T16:08:03+01:00",
        "name": "Codepotato",
        "slug": "codepotato",
        "address_1": "Suite E, 5 The Briars",
        "address_2": "Waterberry Drive",
        "town_city": "Waterlooville",
        "county": "Hampshire",
        "postcode": "PO7 7YH",
        "country": "United Kingdom",
        "regulatory_text": "Regulatory text",
        "logo": "https://api.plannrcrm.com/images/plannr.jpg",
        "logo_icon": "https://api.plannrcrm.com/images/plannr-icon.jpg",
        "brand_colours": {
          "sidebar_background": "#0E0E56",
          "sidebar_accent": "#36367E",
          "sidebar_text": "#FFFFFF",
          "sidebar_hover": "#0A0A42",
          "sidebar_active": "#53DBB8",
          "sidebar_title_background": "#36367E",
          "sidebar_title_primary": "#FFC634",
          "sidebar_title_secondary": "#FFFFFF",
          "sidebar_title_secondary_hover": "#FFFFFF",
          "email_background": "#0E0E56",
          "email_logo_background_panel": "#36367E",
          "email_sub_text": "#FFFFFF",
          "email_button_background": "#36367E",
          "email_button_text": "#FFFFFF",
          "portal_sidebar_button_background": "#F6F6F6",
          "portal_sidebar_button_hover": "#FFFFFF",
          "portal_sidebar_button_active": "#FFFFFF",
          "portal_brand_title": "#323B4B",
          "portal_brand_sub_title": "#828994",
          "portal_sidebar_title": "#11151D",
          "portal_sidebar_text": "#323B4B",
          "portal_sidebar_text_hover": "#323B4B",
          "portal_sidebar_text_active": "#323B4B",
          "portal_sidebar_icon": "#828994",
          "portal_sidebar_icon_hover": "#828994",
          "portal_sidebar_icon_active": "#828994",
          "portal_background": "#F6F6F6",
          "portal_sidebar_account_title": "#11151D",
          "portal_sidebar_account_email": "#828994",
          "portal_sidebar_divider": "#E3E5E9",
          "portal_dashboard_bg_one": "#EF4583",
          "portal_dashboard_bg_two": "#FFC634",
          "portal_sidebar_collapse_button": "#828994",
          "portal_sidebar_collapse_button_hover": "#B3B9C4",
          "portal_sidebar_user_select_background": "#F6F6F6",
          "portal_sidebar_user_select_hover": "#F6F6F6",
          "portal_sidebar_user_select_text": "#323B4B",
          "portal_sidebar_user_select_text_hover": "#323B4B",
          "portal_sidebar_user_select_border": "#EEEEEE",
          "portal_sidebar_user_select_border_hover": "#828994"
        },
        "is_subscribed": true,
        "addon_subscriptions": "App\\Http\\Resources\\Addons\\AddonSubscriptionResource",
        "keep_deleted_files_for": 30,
        "tax": 17.5,
        "month_end": 25,
        "statement_frequency": "monthly",
        "billing": {
          "invoice_address_1": "Suite E, 5 The Briars",
          "invoice_address_2": "Waterberry Drive",
          "invoice_town_city": "Waterlooville",
          "invoice_county": "Hampshire",
          "invoice_postcode": "PO7 7YH",
          "invoice_country": "United Kingdom",
          "invoice_email": "gareth@codepotato.co.uk"
        },
        "task_board_template": "App\\Http\\Resources\\Board\\BoardResource",
        "ip_whitelist": [
          "192.168.0.1",
          "127.0.0.1"
        ],
        "welcome_paragraph_html": "<h1>Welcome.</h1>",
        "email_welcome_paragraph_html": "Welcome to Plannr!",
        "show_fact_find_illustrations": true,
        "cc_email_addresses": [
          "jack@example.com",
          "jill@example.com"
        ],
        "bcc_email_addresses": [
          "jack@example.com",
          "jill@example.com"
        ],
        "reply_to_email_address": "jack@example.com",
        "mobile_app_support_number": "01234 567890",
        "mobile_app_support_email": "support@example.com"
      },
      "account": {
        "uuid": "e99a0e0f-81da-43b0-b1d3-02e79df806ad",
        "created_at": "2026-06-08T16:08:03+01:00",
        "updated_at": "2026-06-08T16:08:03+01:00",
        "type": "client",
        "role": "client",
        "first_name": "Gareth",
        "last_name": "Thompson",
        "name": "Gareth Thompson",
        "email": "gareth@codepotato.co.uk",
        "photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
        "firm": "App\\Http\\Resources\\FirmResource",
        "primary_phone_number": "App\\Http\\Resources\\ContactDetailResource",
        "primary_email": "App\\Http\\Resources\\ContactDetailResource",
        "current_time_entry": "App\\Http\\Resources\\TimeEntryResource",
        "assigned_adviser": "App\\Http\\Resources\\AccountResource",
        "assigned_administrator": "App\\Http\\Resources\\AccountResource",
        "assigned_paraplanner": "App\\Http\\Resources\\AccountResource",
        "introduced_by": "App\\Http\\Resources\\AccountResource",
        "business_unit": "App\\Http\\Resources\\BusinessUnitResource",
        "groups": "App\\Http\\Resources\\GroupResource",
        "tags": "App\\Http\\Resources\\TagResource",
        "owners": "App\\Http\\Resources\\AccountResource",
        "first_contact_date": "2026-06-08T16:08:03+01:00",
        "next_review_date": "2026-06-08T16:08:03+01:00",
        "previous_review_date": "2026-06-08T16:08:03+01:00",
        "anniversary_review_date": "2026-06-08T16:08:03+01:00",
        "terms_of_business_at": "2026-06-08T16:08:03+01:00",
        "client_agreement_at": "2026-06-08T16:08:03+01:00",
        "with_login": true,
        "has_joint_account": true,
        "can_be_deleted": "false",
        "joint_account_circle": "App\\Http\\Resources\\CircleResource",
        "circles": "App\\Http\\Resources\\CircleResource",
        "ownership_percentage": 100,
        "inactive_at": "2026-06-08",
        "last_interaction_at": "2026-06-08 16:08:03",
        "referral_code": "ABC12345",
        "permissions": {
          "firm:read": [
            "firm"
          ],
          "network:read": [
            "network:uuid"
          ]
        },
        "custom_fields": "App\\Http\\Resources\\CustomFieldValueResource",
        "external_references": "App\\Http\\Resources\\ExternalReferenceResource"
      }
    }
  ]
}